cURL
curl --request POST \ --url https://api-{region}.sesametime.com/contract/v1/leave-reasons \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Personal reasons" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "Voluntary resignation", "editable": true, "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00" }, "meta": { "currentPage": 1, "lastPage": 1, "total": 1, "perPage": 1 } }
Creates a new leave reason for the authenticated company.
Documentation IndexFetch the complete documentation index at: https://apidocs.sesametime.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Leave reason name (max 170 characters)
"Personal reasons"
Successful response
Show child attributes
Was this page helpful?
Suggestions